// u_00_xxx
// 2013-02-09

// -- (C) John COLIBRI 2013
// -- documentation: http://www.jcolibri.com

(*$r+*)

unit u_c_non_generic_person_list;
  interface
    uses Classes, u_c_person;

    type c_person_list=
             class(tList)
               Constructor create_person_list;

               function f_c_person(p_person_index: Integer): c_person;
               procedure display_person_list;

               Destructor Destroy; Override;
             end; // c_person

  implementation
    uses SysUtils, u_display_simple;

    // -- c_person_list

    Constructor c_person_list.create_person_list;
      begin
        Inherited create;
      end; // create_person_line

    function c_person_list.f_c_person(p_person_index: Integer): c_person;
      begin
        Result:= c_person(Items[p_person_index]);
      end; //  f_c_person

    procedure c_person_list.display_person_list;
      var l_person_index: Integer;
      begin
        for l_person_index:= 0 to Count- 1 do
          with f_c_person(l_person_index) do
            display(ToString);
      end; // display_person_list

    Destructor c_person_list.Destroy;
      var l_person_index: Integer;
      begin
        for l_person_index:= 0 to Count- 1 do
          f_c_person(l_person_index).Free;
        Inherited;
      end; // Destroy

    begin // u_c_person
    end. // u_c_person


